package com.ruoyi.ss.transfer.interfaces;

import com.ruoyi.ss.transfer.domain.TransferVO;

/**
 * 转账结束后处理
 * @author wjh
 * 2024/8/12
 */
public interface AfterTransfer {

    int onTransferSuccess(TransferVO transfer);

    default int onTransferPartSuccess(TransferVO transfer) {return 1;}

    int onTransferFail(TransferVO transfer);

}
